Skip to main content
PUT
/
evidence
/
batch
/
external
Create or update multiple evidence records by external ID
curl --request PUT \
  --url https://api.artu.ai/evidence/batch/external \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "items": [
    {
      "externalId": "<string>",
      "type": "<string>",
      "expiresAt": "2023-12-25",
      "metadata": {},
      "transactionIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "fields": {},
      "filename": "<unknown>",
      "size": "<unknown>",
      "storagePath": "<unknown>"
    }
  ],
  "atomic": true
}
'
{
  "atomic": "<unknown>",
  "data": [
    {
      "data": {
        "type": "<string>",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "status": "pending_upload",
        "filename": "<string>",
        "contentType": "<string>",
        "size": 0,
        "expiresAt": "2023-12-25",
        "verifiedAt": "2023-11-07T05:31:56Z",
        "verifiedBy": "<string>",
        "rejectionReason": "<string>",
        "reviewedAt": "2023-11-07T05:31:56Z",
        "reviewedBy": "<string>",
        "externalId": "<string>",
        "fields": {},
        "metadata": {}
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json
items
object[]
required
Required array length: 1 - 250 elements
atomic
boolean
default:true

Response

200 - application/json

OK

atomic
any
required
data
object[]
required